Aktualizacja 28-10-2019 i problem z Firefoxem

Najnowsza aktualizacja powoduje problem z Firefoxem. Podczas uruchamiania Firefox chce utworzyć nowy profil.

Jeśli chcecie zachować swoje ustawienia oraz zakładki należy z konsoli wykonać polecenie:

firefox --allow-downgrade
2lajki

Problem powstały na styku Mozilla-Arch-Manjaro:

  1. support.mozilla.org

Since Firefox 67, there is a Downgrade Protection system that prevents you from loading profiles on older versions of Firefox.

  1. developer.mozilla.org

$ firefox --allow-downgrade
Firefox 67’s Downgrade Protection prevents accidentally starting Firefox in a profile running a later version of Firefox. Depending on changes between the two versions, some files in a profile may not be downwards compatible. Adding this option bypasses Downgrade Protection.

  1. forum.manjaro.org

Most likely firefox-70.0-0 was using a newer snapshot of firefox as Arch with 70.0-1 had.

Jest już aktualizacja Firefoxa, pewnie rozwiązująca ten problem.

Na to wygląda:

Podczepię się. Wprawdzie nie mam opisywanego błędu, za to mam coś takiego.

[aquilapl@mabox ~]$ pacman -Qs firefox
local/firefox 70.0-1.1
    Standalone web browser from mozilla.org
local/firefox-i18n-pl 70.0-1
    Polish language pack for Firefox

local/firefox 70.0-1.1
    Standalone web browser from mozilla.org
local/firefox-i18n-en-us 70.0-1
    English (US) language pack for Firefox
local/firefox-i18n-pl 70.0-1
    Polish language pack for Firefox

U mnie to wygląda tak.
Ale widzę że wersję masz od 69.0build…
Spróbuj przeinstalować “language pack”.

@aquila, miałem coś takiego ze dwa razy (teraz po raz trzeci). W obu ta sama przyczyna - nieprawidłowy numer wersji wewnątrz language pack’a. Pomogła ręczna edycja w pliku

langpack-pl@firefox.mozilla.org.xpi / manifest.json

i reinstalacja. Tym razem postanowiłem wypróbować coś innego:

  • wypakowałem langpack-pl@firefox.mozilla.org.xpi z pliku pakietu firefox-i18n-pl-70.0-1-any.pkg.tar.xz;
  • zainstalowałem (bez jakichkolwiek zmian) ręcznie z poziomu Firefox’a;
  • gra i huczy.

Nie wiem dlaczego: głupota, starość… alkohol? :stuck_out_tongue_winking_eye: , ale oprócz pakietu językowego, miałem zainstalowany Polski Language Pack jako plugin. Po odinstalowaniu, wszystko wróciło do normy.

2lajki

O tym nie pomyślałem, ciekawe. Bravo Ty!